// Package declaration 
package org.enableit.tools.email.client; 
 
// Java Imports
import java.net.URL ; 

import org.enableit.tools.email.interfaces.Email ;
import org.enableit.tools.email.interfaces.EmailHome ;
import org.enableit.tools.email.interfaces.EmailUtil ;

/**  
 * JUnit test case for the Email EJB.
 */
public class EmailEJBTestClient extends junit.framework.TestCase {

/*
 * Constructors
 */
	/** 
	 * Default JUnit Constructor.
	 */
	public EmailEJBTestClient(String name) {   
        super(name) ; 
	}

/*
 * Methods
 */
    public static void testEmailEJB() { 

		try {
            EmailHome emailHome = EmailUtil.getHome() ; 
            if (emailHome==null) {
                System.out.println("lookup failed") ; 
                System.exit(-1); 
            } else { 
    //			System.out.println("after EJB home lookup") ; 
            } 

			
			Email email = (emailHome).create() ; 
			if (email==null) {
				System.out.println("ejbCreate failed") ; 
				System.exit(-1); 
			} 
			else { 
			//	System.out.println("after EJB Remote create") ; 
			}

            System.out.println("Supplying the following values to bean:") ;
            System.out.println("... to:" + to) ;
            System.out.println("... from:" + from) ;
            System.out.println("... subject:" + subject) ;
            System.out.println("... message:" + message) ;

			email.sendEmail( to, from, subject, message ) ; 

            System.out.println("\nand resending with the following html attachment:") ;
            System.out.println(attachment) ;            
			email.sendEmail( to, from, subject, message + " INC ATTACHMENT", attachment ) ;         

            System.out.println("\nand resending with the following html attachment culled from a URL:") ;
            URL url = new URL(attachmentUrl) ; 
			email.sendEmail( to, from, subject, message + " INC ATTACHMENT using URL", url ) ;         
        
        
        } catch (Exception e) {
			System.out.println(e) ; 
			System.out.println(e.getMessage()) ; 
		}

    }

/*
 * Properties
 */
    /** Comma separated list of email addresses */
    public static String to = "gilbert.noriega@sybase.com" ; 
    public static String from = "tim.stephenson@sybase.com" ; 
    public static String subject = "PLEASE IGNORE: fidelio test message" ; 
    public static String message = "a test mail" ; 
   
    public static String attachment =   "<html>\n" + 
                                        "\t<head>\n" + 
                                        "\t\t<title>test message</title>\n" + 
                                        "\t</head>\n" + 
                                        "\t<body>\n" + 
                                        "\t\t<p>here is a test message</p>\n" + 
                                        "\t</body>\n" + 
                                        "</html>\n" ;

    public static String attachmentUrl = "http://news.bbc.co.uk/" ; 

}
