/* 
 *     PROJECT          : emailEJB 
 *
 *     COPYRIGHT        : Copyright (C) 1999-2003 Tim Stephenson
 *
 *     contact me at gpl@enableit.org.
 * 
 *  <one line to give the library's name and a brief idea of what it does.>
 *  Copyright (C) <year>  <name of author>
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */ 
package org.enableit.tools.email.ejb;

// Java imports
import javax.ejb.SessionContext;

/**
 * Session EJB Adapter for the EmailBean.
 * @author Tim Stephenson.
 */
public abstract class EmailAdapter extends EmailBean
   implements javax.ejb.SessionBean {

    /**
     * Invoked prior to EJB object activation.
     * @see <a href="http://java.sun.com/products/ejb/">EJB spec</a>
     */
    public void ejbActivate() {
    }

    /**
     * Invoked prior to EJB object passivation.
     * @see <a href="http://java.sun.com/products/ejb/">EJB spec</a>
     */
    public void ejbPassivate() {
    }

    /**
     * Invoked prior to EJB reference servicing client request
     * (i.e. on leaving the pool).
     * @see <a href="http://java.sun.com/products/ejb/">EJB spec</a>
     */
    public void setSessionContext(SessionContext ctx) {
    }

    /**
     * Remove EJB from client service.
     *
     */
    public void ejbRemove() {
    }

    /**
     * Called by container when creating new bean instance.
     * @see <a href="http://java.sun.com/products/ejb/">EJB spec</a>
     */
    public void ejbCreate() 
            throws javax.ejb.CreateException, javax.ejb.EJBException {
        initialise() ; 
    }

}
