/*
 * Generated file - Do not edit!
 */
package org.enableit.tools.email.interfaces;

import java.lang.*;
import javax.ejb.SessionContext;

/**
 * Remote interface for Email.
 * @author Tim Stephenson.
 * @xdoclet-generated at 27-Jan-03 18:35:12
 */
public interface Email
   extends javax.ejb.EJBObject
{
   /**
    * Sends an email message using the Mail server configured in the JNDI
    * environment.
    * @param to Target email address.
    * @param from Message 'from' address. If supplied this overrides the
      default in the JNDI context.
    * @param subject Subject for the mail message.
    * @param message Body text for the mail message.
    * @throws java.rmi.RemoteException System exception, notably
      misconfiguration of mail server.
    */
   public void sendEmail( java.lang.String to,java.lang.String from,java.lang.String subject,java.lang.String message ) throws java.rmi.RemoteException;

   /**
    * Sends an email message using the Mail server configured in the JNDI
    * environment and creates an attachment too.
    * @param to Target email address.
    * @param from Message 'from' address. If supplied this overrides the
      default in the JNDI context.
    * @param subject Subject for the mail message.
    * @param message Body text for the mail message.
    * @param attachmentText Text to create as a text/plain attachment.
    * @throws java.rmi.RemoteException System exception, notably
      misconfiguration of mail server.
    */
   public void sendEmail( java.lang.String to,java.lang.String from,java.lang.String subject,java.lang.String message,java.lang.String attachmentText ) throws java.rmi.RemoteException;

   /**
    * Sends an email made up of a message and an attachment.
    * Converts a URL reference to an InputStream.
    * The URL must be accessible using the http(s) protocol.
    * @param to Target email address.
    * @param from Message 'from' address. If supplied this overrides the
      default in the JNDI context.
    * @param subject Subject for the mail message.
    * @param message Body text for the mail message.
    * @param attachmentUrl URL to fetch and create as an attachment.
    * @throws java.rmi.RemoteException System exception, notably
      misconfiguration of mail server.
    */
   public void sendEmail( java.lang.String to,java.lang.String from,java.lang.String subject,java.lang.String message,java.net.URL attachmentUrl ) throws java.rmi.RemoteException;

   /**
    * Sends an email made up of a message and an attachment.
    * Converts a URL reference to an InputStream.
    * The URL must be accessible using the http(s) protocol.
    * @param bean An <code>EmailConfigBean</code> containing all the details
      for the message.
    * @throws java.rmi.RemoteException System exception, notably
      misconfiguration of mail server.
    */
   public void sendEmail( org.enableit.tools.email.interfaces.EmailConfigBean bean ) throws java.rmi.RemoteException;

}
